Skip to main content
GET
Check Wallet Balance and Remaining SMS Units

Authorizations

Client-ID
string
header
required

Your UgaText Client-ID (e.g. uga_...). Accepted header aliases: X-Client-ID, or combined in Authorization: Bearer : / X-API-Key: :.

Client-Secret
string
header
required

Your UgaText Client-Secret (e.g. sk_live_...). Accepted header alias: X-Client-Secret.

Response

Current wallet balance and SMS unit count

success
boolean
Example:

true

account_id
string
Example:

"3FZKZIqtMiXh2VZMzHtmIBSJtgl2"

currency
string
Example:

"UGX"

balance
number
Example:

150000

balance_ugx
number
Example:

150000

sms_balance_units
integer
Example:

6000

sms_units_remaining
integer
Example:

6000

sms_price
number
Example:

25

rate_per_sms_ugx
number
Example:

25

estimated_messages
integer
Example:

6000

account_status
string
Example:

"active"

status
string
Example:

"active"